Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  abstract class LambdaLift extends SubComponent with InfoTransform
  Definition Classes
    transform
- LambdaLifter
- Phase
- StdPhase

c

scala.tools.nsc.transform.LambdaLift

# LambdaLifter

###

#### class LambdaLifter extends Global.explicitOuter.OuterPathTransformer

Source
  LambdaLift.scala

Linear Supertypes
Global.explicitOuter.OuterPathTransformer, Global.explicitOuter.TypingTransformer, Global.Transformer, Global.InternalTransformer, Global.Transformer, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LambdaLifter
2. OuterPathTransformer
3. TypingTransformer
4. Transformer
5. InternalTransformer
6. Transformer
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new LambdaLifter(unit: Global.CompilationUnit)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from LambdaLifter toany2stringadd[LambdaLifter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (LambdaLifter, B)
   Implicit
     This member is added by an implicit conversion from LambdaLifter toArrowAssoc[LambdaLifter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def atOwner[A](tree: Global.Tree, owner: Global.Symbol)(trans: => A): A
   Definition Classes
     TypingTransformer
8.  final def atOwner[A](owner: Global.Symbol)(trans: => A): A
   Definition Classes
     TypingTransformer → Transformer
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  var curTree: Global.Tree
    Attributes
      protected
    Definition Classes
      TypingTransformer
11.  def currentClass: Global.Symbol
    Attributes
      protected
    Definition Classes
      Transformer
12.  def currentMethod: Global.Symbol
    Attributes
      protected
    Definition Classes
      Transformer
13.  var currentOwner: Global.Symbol
    Attributes
      protected[scala]
    Definition Classes
      Transformer
14.  val delayedInitDummies: HashMap[Global.Symbol, Global.Symbol]
15.  def ensuring(cond: (LambdaLifter) => Boolean, msg: => Any): LambdaLifter
    Implicit
      This member is added by an implicit conversion from LambdaLifter toEnsuring[LambdaLifter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: (LambdaLifter) => Boolean): LambdaLifter
    Implicit
      This member is added by an implicit conversion from LambdaLifter toEnsuring[LambdaLifter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean, msg: => Any): LambdaLifter
    Implicit
      This member is added by an implicit conversion from LambdaLifter toEnsuring[LambdaLifter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean): LambdaLifter
    Implicit
      This member is added by an implicit conversion from LambdaLifter toEnsuring[LambdaLifter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
21.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
22.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from LambdaLifter toStringFormat[LambdaLifter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
23.  def freeArgsOrNil(sym: Global.Symbol): collection.immutable.List[Global.Symbol]
24.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  def isUnderConstruction(clazz: Global.Symbol): Boolean

    The stack of class symbols in which a call to this() or to the super constructor, or early definition is active

    The stack of class symbols in which a call to this() or to the super constructor, or early definition is active

    Attributes
      protected
    Definition Classes
      OuterPathTransformer
28.  var localTyper: (analyzer)#Typer
    Definition Classes
      TypingTransformer
29.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  var outerParam: Global.Symbol

    The directly enclosing outer parameter, if we are in a constructor

    The directly enclosing outer parameter, if we are in a constructor

    Attributes
      protected
    Definition Classes
      OuterPathTransformer
33.  final def outerPath(base: Global.Tree, from: Global.Symbol, to: Global.Symbol): Global.Tree

    The path

    >     `base`.$outer$$C1 ... .$outer$$Cn

    which refers to the outer instance of class to of value base.

    The path

    >     `base`.$outer$$C1 ... .$outer$$Cn

    which refers to the outer instance of class to of value base. The result is typed but not positioned.

    `base`.$outer$$C1 ... .$outer$$Cn which refers to the outer instance of class to of value base. The result is typed but not positioned.

    Attributes
      protected
    Definition Classes
      OuterPathTransformer
    Annotations
      @tailrec()
34.  def outerValue: Global.Tree

    The first outer selection from currently transformed tree.

    The first outer selection from currently transformed tree. The result is typed but not positioned.

    Will return `EmptyTree` if there is no outer accessor because of a premature self reference.

    Attributes
      protected
    Definition Classes
      OuterPathTransformer
35.  def proxiesOrNil(sym: Global.Symbol): List[Global.Symbol]
36.  val selfOrSuperCalls: Stack[Global.Symbol]
    Attributes
      protected
    Definition Classes
      OuterPathTransformer
37.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
38.  def toString(): String
    Definition Classes
      AnyRef → Any
39.  def transform(tree: Global.Tree): Global.Tree
    Definition Classes
      LambdaLifter → OuterPathTransformer → TypingTransformer → InternalTransformer → Transformer
40.  def transformAtOwner(owner: Global.Symbol, tree: Global.Tree): Global.Tree
    Definition Classes
      TypingTransformer
41.  def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]
    Definition Classes
      Transformer
42.  def transformIdents(trees: List[Global.Ident]): List[Global.Ident]
    Definition Classes
      Transformer
43.  def transformMemberDefs(trees: List[Global.MemberDef]): List[Global.MemberDef]
    Definition Classes
      Transformer
44.  def transformModifiers(mods: Global.Modifiers): Global.Modifiers
    Definition Classes
      Transformer
45.  def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]

    Transform statements and add lifted definitions to them.

    Transform statements and add lifted definitions to them.

    Definition Classes
      LambdaLifter → Transformer
46.  def transformTemplate(tree: Global.Template): Global.Template
    Definition Classes
      Transformer
47.  def transformTrees(trees: List[Global.Tree]): List[Global.Tree]
    Definition Classes
      Transformer
48.  def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]
    Definition Classes
      Transformer
49.  def transformUnit(unit: Global.CompilationUnit): Unit
    Definition Classes
      LambdaLifter → Transformer
50.  def transformValDef(tree: Global.ValDef): Global.ValDef
    Definition Classes
      Transformer
51.  def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]
    Definition Classes
      Transformer
52.  def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]
    Definition Classes
      Transformer
53.  val treeCopy: Global.TreeCopier
    Definition Classes
      Transformer
54.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
55.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
56.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (LambdaLifter, B)
   Implicit
     This member is added by an implicit conversion from LambdaLifter toArrowAssoc[LambdaLifter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Global.explicitOuter.OuterPathTransformer

### Inherited from Global.explicitOuter.TypingTransformer

### Inherited from Global.Transformer

### Inherited from Global.InternalTransformer

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromLambdaLifter to any2stringadd[LambdaLifter]

### Inherited by implicit conversion StringFormat fromLambdaLifter to StringFormat[LambdaLifter]

### Inherited by implicit conversion Ensuring fromLambdaLifter to Ensuring[LambdaLifter]

### Inherited by implicit conversion ArrowAssoc fromLambdaLifter to ArrowAssoc[LambdaLifter]

### Ungrouped